namespace dk {
	///-------------------------------------------------------------------------
	///-------------------------------------------------------------------------
	template <std::size_t D>
	MapStreamBase<D>::MapStreamBase (const coords& parMapSize) :
		m_mapSize(parMapSize)
	{
	}

	///-------------------------------------------------------------------------
	///-------------------------------------------------------------------------
	template <std::size_t D>
	void MapStreamBase<D>::read (char* parOut, std::size_t parOutSize, const coords& parFrom, const coords& parTo) {
		DK_ASSERT(parOut);
		DK_ASSERT(parOutSize > 0);
		DK_ASSERT(this->isReadable());
		DK_ASSERT(parFrom < m_mapSize);
		DK_ASSERT(parTo <= m_mapSize);
		this->dataBlockRequested(parOut, parOutSize, parFrom, parTo);
	}
} //namespace dk
